Thread: LISP MODIFY instantaneous radius for transition curves

  1. #1
    Registered User
    Join Date
    Sep 2018
    Posts
    1

    Question LISP MODIFY instantaneous radius for transition curves

    Dear All

    I am using AutoCAD civil 3D . I need a lisp which create a report (txt or excel) for instantaneous radius of horizontal alignment for every 1 meter station. (for the straight element it can write infinity to the report)

    For example i have below lisp. It is working, it should be modify Because we have to enter station manually to this lisp. I need every 1 meter instantaneous radius report when i click to my alignment.

    Thanks for your help.


    Code:
    (defun c:go (/ sta instrad algn)
      (vl-load-com)
    
    
      (setq algn (vlax-ename->vla-object (car (entsel "\nSelect Alignment: "))))
      
    
    
      (while (not (= (vlax-get-property algn 'ObjectName) "AeccDbAlignment"))
        (setq algn (vlax-ename->vla-object (car (entsel "\nSelect Alignment: "))))
        )
      (while (setq sta (getreal "\nEnter station: "))
      (setq instrad (vlax-get-property algn 'InstantaneousRadius sta))
        (prompt (strcat "\nRadius at station " (rtos sta 2 2) " is " (rtos instrad 2 2)))
        )
      (princ)
      )

  2. #2
    and the hat of int overfl Salem's Avatar
    Join Date
    Aug 2001
    Location
    The edge of the known universe
    Posts
    39,659
    Wouldn't you be better finding a LISP forum?

    This is C++.

    Moved.
    If you dance barefoot on the broken glass of undefined behaviour, you've got to expect the occasional cut.
    If at first you don't succeed, try writing your phone number on the exam paper.

Popular pages Recent additions subscribe to a feed

Similar Threads

  1. Radius formula help
    By langamer101 in forum C Programming
    Replies: 2
    Last Post: 12-17-2011, 10:14 AM
  2. Backdooring Instantaneous Radius of Curvature & Functions
    By just2peachy in forum C++ Programming
    Replies: 8
    Last Post: 10-06-2004, 12:25 PM
  3. help with writing function that multiplys the radius
    By Earl Lee in forum C Programming
    Replies: 6
    Last Post: 10-03-2002, 04:33 PM
  4. ok radius
    By abbynormal87 in forum C++ Programming
    Replies: 8
    Last Post: 05-02-2002, 02:15 AM
  5. Instantaneous Input
    By Darkflame in forum C++ Programming
    Replies: 5
    Last Post: 09-21-2001, 09:57 AM

Tags for this Thread